#pragma once

#include <memory>


namespace armarx::aron::datanavigator
{
    class Navigator;
    using NavigatorPtr = std::shared_ptr<Navigator>;

    using DictNavigatorPtr = std::shared_ptr<class DictNavigator>;
    using ListNavigatorPtr = std::shared_ptr<class ListNavigator>;
    using NDArrayNavigatorPtr = std::shared_ptr<class NDArrayNavigator>;

    using IntNavigatorPtr = std::shared_ptr<class IntNavigator>;
    using LongNavigatorPtr = std::shared_ptr<class LongNavigator>;
    using FloatNavigatorPtr = std::shared_ptr<class FloatNavigator>;
    using DoubleNavigatorPtr = std::shared_ptr<class DoubleNavigator>;
    using StringNavigatorPtr = std::shared_ptr<class StringNavigator>;
    using BoolNavigatorPtr = std::shared_ptr<class BoolNavigator>;

}
