#pragma once

#include <QGroupBox>

#include <RobotAPI/libraries/armem_gui/memory/TreeWidget.h>
#include <RobotAPI/libraries/armem_gui/query_widgets/QueryWidget.h>


class QCheckBox;
class QLabel;


namespace armarx::armem::gui::memory
{

    class GroupBox : public QGroupBox
    {
        Q_OBJECT
        using This = GroupBox;

    public:

        GroupBox();

        TreeWidget* tree() const;
        QGroupBox* queryGroup() const;
        QueryWidget* queryWidget() const;


    public slots:

    signals:

    private slots:

    signals:


    private:

        TreeWidget* _tree;

        QGroupBox* _queryGroup;
        QueryWidget* _queryWidget;

    };

}

namespace armarx::armem::gui
{
    using MemoryGroupBox = memory::GroupBox;
}
