#pragma once

#include <memory>

#include <SimoxUtility/meta/enum/EnumNames.hpp>

#include <RobotAPI/interface/units/RobotUnit/RobotUnitInterface.h>


namespace armarx::aron::datanavigator
{
    using NavigatorPtr = std::shared_ptr<class Navigator>;
}

namespace armarx::RobotUnitDataStreaming
{
    aron::datanavigator::NavigatorPtr toAron(
        const TimeStep& timestep,
        const DataEntry& dataEntry);

    extern const simox::meta::EnumNames<DataEntryType> DataEntryNames;

}
