#include "simox.h"



void simox::fromAron(const arondto::AxisAlignedBoundingBox& dto, AxisAlignedBoundingBox& bo)
{
    bo.center() = dto.center;
    bo.extents() = dto.extents;
}

void simox::toAron(arondto::AxisAlignedBoundingBox& dto, const AxisAlignedBoundingBox& bo)
{
    dto.center = bo.center();
    dto.extents = bo.extents();
}



void simox::fromAron(const arondto::OrientedBox& dto, OrientedBoxf& bo)
{
    bo = OrientedBoxf(dto.center, dto.orientation, dto.extents);
}

void simox::toAron(arondto::OrientedBox& dto, const OrientedBoxf& bo)
{
    dto.center = bo.center();
    dto.orientation = bo.rotation();
    dto.extents = bo.dimensions();
}

